Bug 1396941 (CVE-2016-9685) - CVE-2016-9685 kernel: Memory leaks in xfs_attr_list.c error paths
Summary: CVE-2016-9685 kernel: Memory leaks in xfs_attr_list.c error paths
Status: CLOSED WONTFIX
Alias: CVE-2016-9685
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161201,reported=2...
Keywords: Security
Depends On: 1391223 1400368
Blocks: 1396942
TreeView+ depends on / blocked
 
Reported: 2016-11-21 09:02 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
20 users (show)

(edit)
A flaw was found in the Linux kernel's implementation of XFS file attributes. Two memory leaks were detected in xfs_attr_shortform_list and xfs_attr3_leaf_list_int when running a docker container backed by xfs/overlay2.  A dedicated attacker could possible exhaust all memory and create a denial of service situation.
Clone Of:
(edit)
Last Closed: 2019-06-08 03:02:24 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1842 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-08-01 18:22:09 UTC
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 18:13:37 UTC
Red Hat Product Errata RHSA-2017:2669 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-09-07 00:36:52 UTC

Description Adam Mariš 2016-11-21 09:02:52 UTC
A flaw was found in the Linux kernels implementation of XFS file attributes. Two memory leaks were detected in xfs_attr_shortform_list and xfs_attr3_leaf_list_int when running a docker container backed by xfs/overlay2.  A dedicated attacker could possible exhaust all memory and create a denial of service situation.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1391223

OSS-Security post:
http://seclists.org/oss-sec/2016/q4/544

Comment 1 Adam Mariš 2016-11-21 09:03:08 UTC
Acknowledgments:

Name: Qian Cai (Red Hat)

Comment 2 Andrej Nemec 2016-11-30 16:01:13 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/545

Comment 4 Wade Mealing 2016-12-01 01:53:17 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1400368]

Comment 5 Wade Mealing 2016-12-01 02:44:46 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6 and 7. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 7 errata-xmlrpc 2017-08-01 19:10:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2077 https://access.redhat.com/errata/RHSA-2017:2077

Comment 8 errata-xmlrpc 2017-08-02 07:50:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1842 https://access.redhat.com/errata/RHSA-2017:1842

Comment 9 errata-xmlrpc 2017-09-06 20:38:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:2669 https://access.redhat.com/errata/RHSA-2017:2669


Note You need to log in before you can comment on or make changes to this bug.